CloudSimTags (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.core

## Class CloudSimTags

- java.lang.Object
- - org.cloudbus.cloudsim.core.CloudSimTags

-     public class CloudSimTags
      extends Object

  Contains various static command tags that indicate a type of action that needs to be undertaken by CloudSim entities when they receive or send events. NOTE: To avoid conflicts with other tags, CloudSim reserves negative numbers, 0 - 299, and 9600.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Manzur Murshed, Rajkumar Buyya, Anthony Sulistio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABRUPT_END_OF_SIMULATION` Denotes an abrupt end of simulation.
    `static int` | `CLOUDLET_CANCEL` Cancels a Cloudlet submitted in the CloudResource entity.
    `static int` | `CLOUDLET_MOVE` Moves a Cloudlet to another CloudResource entity.
    `static int` | `CLOUDLET_MOVE_ACK` Moves a Cloudlet to another CloudResource entity with an acknowledgement.
    `static int` | `CLOUDLET_PAUSE` Pauses a Cloudlet submitted in the CloudResource entity.
    `static int` | `CLOUDLET_PAUSE_ACK` Pauses a Cloudlet submitted in the CloudResource entity with an acknowledgement.
    `static int` | `CLOUDLET_RESUME` Resumes a Cloudlet submitted in the CloudResource entity.
    `static int` | `CLOUDLET_RESUME_ACK` Resumes a Cloudlet submitted in the CloudResource entity with an acknowledgement.
    `static int` | `CLOUDLET_RETURN` Denotes the return of a Cloudlet back to sender.
    `static int` | `CLOUDLET_STATUS` Denotes the status of a Cloudlet.
    `static int` | `CLOUDLET_SUBMIT` Denotes the submission of a Cloudlet.
    `static int` | `CLOUDLET_SUBMIT_ACK` Denotes the submission of a Cloudlet with an acknowledgement.
    `static int` | `DEFAULT_BAUD_RATE` Denotes the default baud rate for some CloudSim entities
    `static int` | `END_OF_SIMULATION` Denotes the end of simulation
    `static int` | `EXPERIMENT` Sends an Experiment object between UserEntity and Broker entity
    `static int` | `FALSE` Denotes boolean `false` in `int` value
    `static int` | `INFOPKT_RETURN` This tag is used to return the ping request back to sender
    `static int` | `INFOPKT_SUBMIT` This tag is used by an entity to send ping requests
    `static int` | `INSIGNIFICANT` Denotes insignificant simulation entity or time.
    `static int` | `Network_Event_DOWN`
    `static int` | `Network_Event_Host`
    `static int` | `Network_Event_send`
    `static int` | `Network_Event_UP`
    `static int` | `NextCycle`
    `static int` | `RECORD_STATISTICS` Denotes a request to record events for statistical purposes.
    `static int` | `REGISTER_REGIONAL_GIS` Denotes a request to register a CloudResource entity to a regional CloudInformationService (GIS) entity
    `static int` | `REGISTER_RESOURCE` Denotes a grid resource to be registered.
    `static int` | `REGISTER_RESOURCE_AR` Denotes a grid resource, that can support advance reservation, to be registered.
    `static int` | `REQUEST_REGIONAL_GIS` Denotes a request to get a list of other regional GIS entities from the system GIS entity
    `static int` | `RESOURCE_AR_LIST` Denotes a list of hostList that only support advance reservation.
    `static int` | `RESOURCE_CHARACTERISTICS` Denotes grid resource characteristics information.
    `static int` | `RESOURCE_CHARACTERISTICS_REQUEST` Denotes request for grid resource characteristics information.
    `static int` | `RESOURCE_DYNAMICS` Denotes grid resource allocation policy.
    `static int` | `RESOURCE_LIST` Denotes a list of all hostList, including the ones that can support advance reservation.
    `static int` | `RESOURCE_NUM_FREE_PE` Denotes a request to get the total number of free Processing Elements (PEs) of a resource.
    `static int` | `RESOURCE_NUM_PE` Denotes a request to get the total number of Processing Elements (PEs) of a resource.
    `static int` | `RESOURCE_Register`
    `static int` | `RETURN_ACC_STATISTICS_BY_CATEGORY` Denotes a request to send an Accumulator object based on category into an event scheduler.
    `static int` | `RETURN_STAT_LIST` Denotes a request to get a statistical list.
    `static double` | `SCHEDULE_NOW` Schedules an entity without any delay
    `static int` | `TRUE` Denotes boolean `true` in `int` value
    `static int` | `VM_BROKER_EVENT` Denotes an internal event generated in a Broker
    `static int` | `VM_CREATE` Denotes a request to create a new VM in a Datacentre With acknowledgement information sent by the Datacentre
    `static int` | `VM_CREATE_ACK` Denotes a request to create a new VM in a Datacentre With acknowledgement information sent by the Datacentre
    `static int` | `VM_DATA_ADD` Denotes an event to send a file from a user to a datacenter
    `static int` | `VM_DATA_ADD_ACK` Denotes an event to send a file from a user to a datacenter
    `static int` | `VM_DATA_DEL` Denotes an event to remove a file from a datacenter
    `static int` | `VM_DATA_DEL_ACK` Denotes an event to remove a file from a datacenter
    `static int` | `VM_DATACENTER_EVENT` Denotes an internal event generated in a PowerDatacenter
    `static int` | `VM_DESTROY` Denotes a request to destroy a new VM in a Datacentre
    `static int` | `VM_DESTROY_ACK` Denotes a request to destroy a new VM in a Datacentre
    `static int` | `VM_MIGRATE` Denotes a request to migrate a new VM in a Datacentre
    `static int` | `VM_MIGRATE_ACK` Denotes a request to migrate a new VM in a Datacentre With acknowledgement information sent by the Datacentre

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRUE

          public static final int TRUE

      Denotes boolean `true` in `int` value
      See Also:
        Constant Field Values

    - #### FALSE

          public static final int FALSE

      Denotes boolean `false` in `int` value
      See Also:
        Constant Field Values

    - #### DEFAULT_BAUD_RATE

          public static final int DEFAULT_BAUD_RATE

      Denotes the default baud rate for some CloudSim entities
      See Also:
        Constant Field Values

    - #### SCHEDULE_NOW

          public static final double SCHEDULE_NOW

      Schedules an entity without any delay
      See Also:
        Constant Field Values

    - #### END_OF_SIMULATION

          public static final int END_OF_SIMULATION

      Denotes the end of simulation
      See Also:
        Constant Field Values

    - #### ABRUPT_END_OF_SIMULATION

          public static final int ABRUPT_END_OF_SIMULATION

      Denotes an abrupt end of simulation. That is, one event of this type is enough for `CloudSimShutdown` to trigger the end of the simulation
      See Also:
        Constant Field Values

    - #### INSIGNIFICANT

          public static final int INSIGNIFICANT

      Denotes insignificant simulation entity or time. This tag will not be used for identification purposes.
      See Also:
        Constant Field Values

    - #### EXPERIMENT

          public static final int EXPERIMENT

      Sends an Experiment object between UserEntity and Broker entity
      See Also:
        Constant Field Values

    - #### REGISTER_RESOURCE

          public static final int REGISTER_RESOURCE

      Denotes a grid resource to be registered. This tag is normally used between CloudInformationService and CloudResouce entity.
      See Also:
        Constant Field Values

    - #### REGISTER_RESOURCE_AR

          public static final int REGISTER_RESOURCE_AR

      Denotes a grid resource, that can support advance reservation, to be registered. This tag is normally used between CloudInformationService and CloudResouce entity.
      See Also:
        Constant Field Values

    - #### RESOURCE_LIST

          public static final int RESOURCE_LIST

      Denotes a list of all hostList, including the ones that can support advance reservation. This tag is normally used between CloudInformationService and CloudSim entity.
      See Also:
        Constant Field Values

    - #### RESOURCE_AR_LIST

          public static final int RESOURCE_AR_LIST

      Denotes a list of hostList that only support advance reservation. This tag is normally used between CloudInformationService and CloudSim entity.
      See Also:
        Constant Field Values

    - #### RESOURCE_CHARACTERISTICS

          public static final int RESOURCE_CHARACTERISTICS

      Denotes grid resource characteristics information. This tag is normally used between CloudSim and CloudResource entity.
      See Also:
        Constant Field Values

    - #### RESOURCE_DYNAMICS

          public static final int RESOURCE_DYNAMICS

      Denotes grid resource allocation policy. This tag is normally used between CloudSim and CloudResource entity.
      See Also:
        Constant Field Values

    - #### RESOURCE_NUM_PE

          public static final int RESOURCE_NUM_PE

      Denotes a request to get the total number of Processing Elements (PEs) of a resource. This tag is normally used between CloudSim and CloudResource entity.
      See Also:
        Constant Field Values

    - #### RESOURCE_NUM_FREE_PE

          public static final int RESOURCE_NUM_FREE_PE

      Denotes a request to get the total number of free Processing Elements (PEs) of a resource. This tag is normally used between CloudSim and CloudResource entity.
      See Also:
        Constant Field Values

    - #### RECORD_STATISTICS

          public static final int RECORD_STATISTICS

      Denotes a request to record events for statistical purposes. This tag is normally used between CloudSim and CloudStatistics entity.
      See Also:
        Constant Field Values

    - #### RETURN_STAT_LIST

          public static final int RETURN_STAT_LIST

      Denotes a request to get a statistical list.
      See Also:
        Constant Field Values

    - #### RETURN_ACC_STATISTICS_BY_CATEGORY

          public static final int RETURN_ACC_STATISTICS_BY_CATEGORY

      Denotes a request to send an Accumulator object based on category into an event scheduler. This tag is normally used between ReportWriter and CloudStatistics entity.
      See Also:
        Constant Field Values

    - #### REGISTER_REGIONAL_GIS

          public static final int REGISTER_REGIONAL_GIS

      Denotes a request to register a CloudResource entity to a regional CloudInformationService (GIS) entity
      See Also:
        Constant Field Values

    - #### REQUEST_REGIONAL_GIS

          public static final int REQUEST_REGIONAL_GIS

      Denotes a request to get a list of other regional GIS entities from the system GIS entity
      See Also:
        Constant Field Values

    - #### RESOURCE_CHARACTERISTICS_REQUEST

          public static final int RESOURCE_CHARACTERISTICS_REQUEST

      Denotes request for grid resource characteristics information. This tag is normally used between CloudSim and CloudResource entity.
      See Also:
        Constant Field Values

    - #### INFOPKT_SUBMIT

          public static final int INFOPKT_SUBMIT

      This tag is used by an entity to send ping requests
      See Also:
        Constant Field Values

    - #### INFOPKT_RETURN

          public static final int INFOPKT_RETURN

      This tag is used to return the ping request back to sender
      See Also:
        Constant Field Values

    - #### CLOUDLET_RETURN

          public static final int CLOUDLET_RETURN

      Denotes the return of a Cloudlet back to sender. This tag is normally used by CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_SUBMIT

          public static final int CLOUDLET_SUBMIT

      Denotes the submission of a Cloudlet. This tag is normally used between CloudSim User and CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_SUBMIT_ACK

          public static final int CLOUDLET_SUBMIT_ACK

      Denotes the submission of a Cloudlet with an acknowledgement. This tag is normally used between CloudSim User and CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_CANCEL

          public static final int CLOUDLET_CANCEL

      Cancels a Cloudlet submitted in the CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_STATUS

          public static final int CLOUDLET_STATUS

      Denotes the status of a Cloudlet.
      See Also:
        Constant Field Values

    - #### CLOUDLET_PAUSE

          public static final int CLOUDLET_PAUSE

      Pauses a Cloudlet submitted in the CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_PAUSE_ACK

          public static final int CLOUDLET_PAUSE_ACK

      Pauses a Cloudlet submitted in the CloudResource entity with an acknowledgement.
      See Also:
        Constant Field Values

    - #### CLOUDLET_RESUME

          public static final int CLOUDLET_RESUME

      Resumes a Cloudlet submitted in the CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_RESUME_ACK

          public static final int CLOUDLET_RESUME_ACK

      Resumes a Cloudlet submitted in the CloudResource entity with an acknowledgement.
      See Also:
        Constant Field Values

    - #### CLOUDLET_MOVE

          public static final int CLOUDLET_MOVE

      Moves a Cloudlet to another CloudResource entity.
      See Also:
        Constant Field Values

    - #### CLOUDLET_MOVE_ACK

          public static final int CLOUDLET_MOVE_ACK

      Moves a Cloudlet to another CloudResource entity with an acknowledgement.
      See Also:
        Constant Field Values

    - #### VM_CREATE

          public static final int VM_CREATE

      Denotes a request to create a new VM in a Datacentre With acknowledgement information sent by the Datacentre
      See Also:
        Constant Field Values

    - #### VM_CREATE_ACK

          public static final int VM_CREATE_ACK

      Denotes a request to create a new VM in a Datacentre With acknowledgement information sent by the Datacentre
      See Also:
        Constant Field Values

    - #### VM_DESTROY

          public static final int VM_DESTROY

      Denotes a request to destroy a new VM in a Datacentre
      See Also:
        Constant Field Values

    - #### VM_DESTROY_ACK

          public static final int VM_DESTROY_ACK

      Denotes a request to destroy a new VM in a Datacentre
      See Also:
        Constant Field Values

    - #### VM_MIGRATE

          public static final int VM_MIGRATE

      Denotes a request to migrate a new VM in a Datacentre
      See Also:
        Constant Field Values

    - #### VM_MIGRATE_ACK

          public static final int VM_MIGRATE_ACK

      Denotes a request to migrate a new VM in a Datacentre With acknowledgement information sent by the Datacentre
      See Also:
        Constant Field Values

    - #### VM_DATA_ADD

          public static final int VM_DATA_ADD

      Denotes an event to send a file from a user to a datacenter
      See Also:
        Constant Field Values

    - #### VM_DATA_ADD_ACK

          public static final int VM_DATA_ADD_ACK

      Denotes an event to send a file from a user to a datacenter
      See Also:
        Constant Field Values

    - #### VM_DATA_DEL

          public static final int VM_DATA_DEL

      Denotes an event to remove a file from a datacenter
      See Also:
        Constant Field Values

    - #### VM_DATA_DEL_ACK

          public static final int VM_DATA_DEL_ACK

      Denotes an event to remove a file from a datacenter
      See Also:
        Constant Field Values

    - #### VM_DATACENTER_EVENT

          public static final int VM_DATACENTER_EVENT

      Denotes an internal event generated in a PowerDatacenter
      See Also:
        Constant Field Values

    - #### VM_BROKER_EVENT

          public static final int VM_BROKER_EVENT

      Denotes an internal event generated in a Broker
      See Also:
        Constant Field Values

    - #### Network_Event_UP

          public static final int Network_Event_UP

      See Also:
        Constant Field Values

    - #### Network_Event_send

          public static final int Network_Event_send

      See Also:
        Constant Field Values

    - #### RESOURCE_Register

          public static final int RESOURCE_Register

      See Also:
        Constant Field Values

    - #### Network_Event_DOWN

          public static final int Network_Event_DOWN

      See Also:
        Constant Field Values

    - #### Network_Event_Host

          public static final int Network_Event_Host

      See Also:
        Constant Field Values

    - #### NextCycle

          public static final int NextCycle

      See Also:
        Constant Field Values

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.